Subject: Re: [bitcoindev] How was the average size of blk*.data chosen?

From: Peter Todd <[email-masked]>
Date: Thu, 30 May 2024 18:20:57 +0000

On Mon, May 06, 2024 at 06:23:47PM -0700, Juan David Peña Melo wrote:
> I notice that the Bitcoin database is stored sequentially in blk*.dat 
> files, with an average size between 128 to 134MB. I would like to know how 
> this average size is determined and if there are any tests that demonstrate 
> this size is the most efficient.

Most likely someone just picked a number at random. For things like this, there
is a very wide range of values that are probably fine. The main limiting factor
at the high end, is some older file systems still don't support files >4GB, so
you'd want to pick a value below that; Monero all block data in a single file,
and that occasionally leads to issues when, eg, copying that file from one
place to another. At the low end, having tens of thousands of files in one
directory tends to cause problems.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/ZljDiesLp29yqipn%40petertodd.org.